summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-11-12 10:48:09 (EST)
committer P. J. McDermott <pjm@nac.net>2012-11-12 10:48:09 (EST)
commit1fc71242b873815c7c2d8d50a49169d76b585c12 (patch)
treeb9f756332a2f3aece822f665eaf73380465da561 /src
parentb1a92ceea91c3bb6b7ab03fe355ee039c1f1f3ce (diff)
Return exit status of oh_buildsystem_do().
Diffstat (limited to 'src')
-rw-r--r--src/oh-autobuild.sh2
-rw-r--r--src/oh-autoclean.sh2
-rw-r--r--src/oh-autoconfigure.sh2
-rw-r--r--src/oh-autoinstall.sh2
-rw-r--r--src/oh-autotest.sh2
5 files changed, 5 insertions, 5 deletions
diff --git a/src/oh-autobuild.sh b/src/oh-autobuild.sh
index f76858f..366fa09 100644
--- a/src/oh-autobuild.sh
+++ b/src/oh-autobuild.sh
@@ -49,7 +49,7 @@ main()
oh_buildsystems_init
if sys="$(oh_buildsystem_find 'build')"; then
- oh_buildsystem_do 'build' "${sys}" "${@}"
+ oh_buildsystem_do 'build' "${sys}" "${@}" || exit ${?}
fi
}
diff --git a/src/oh-autoclean.sh b/src/oh-autoclean.sh
index e5d1653..44c99b6 100644
--- a/src/oh-autoclean.sh
+++ b/src/oh-autoclean.sh
@@ -46,7 +46,7 @@ main()
oh_buildsystems_init
if sys="$(oh_buildsystem_find 'clean')"; then
- oh_buildsystem_do 'clean' "${sys}" "${@}"
+ oh_buildsystem_do 'clean' "${sys}" "${@}" || exit ${?}
fi
}
diff --git a/src/oh-autoconfigure.sh b/src/oh-autoconfigure.sh
index b56ac55..9535117 100644
--- a/src/oh-autoconfigure.sh
+++ b/src/oh-autoconfigure.sh
@@ -49,7 +49,7 @@ main()
oh_buildsystems_init
if sys="$(oh_buildsystem_find 'configure')"; then
- oh_buildsystem_do 'configure' "${sys}" "${@}"
+ oh_buildsystem_do 'configure' "${sys}" "${@}" || exit ${?}
fi
}
diff --git a/src/oh-autoinstall.sh b/src/oh-autoinstall.sh
index be60a4c..761bd03 100644
--- a/src/oh-autoinstall.sh
+++ b/src/oh-autoinstall.sh
@@ -52,7 +52,7 @@ main()
oh_buildsystems_init
if sys="$(oh_buildsystem_find 'install')"; then
- oh_buildsystem_do 'install' "${sys}" "${@}"
+ oh_buildsystem_do 'install' "${sys}" "${@}" || exit ${?}
fi
}
diff --git a/src/oh-autotest.sh b/src/oh-autotest.sh
index db5ffff..371328c 100644
--- a/src/oh-autotest.sh
+++ b/src/oh-autotest.sh
@@ -46,7 +46,7 @@ main()
oh_buildsystems_init
if sys="$(oh_buildsystem_find 'test')"; then
- oh_buildsystem_do 'test' "${sys}" "${@}"
+ oh_buildsystem_do 'test' "${sys}" "${@}" || exit ${?}
fi
}